My Oracle Support Banner

RSB 16 Error During Install Of RCE Decorators (Doc ID 2353715.1)

Last updated on JANUARY 30, 2018

Applies to:

Oracle Retail Integration Bus - Version 16.0 and later
Information in this document applies to any platform.

Goal

During the check-version-and-unpack.sh step of the section: How to Deploy and Configure RCE Decorators, we are getting this error:

 ./check-version-and-unpack.sh
My current version is -16.0.0
Dec 08, 2017 2:27:57 PM com.oracle.retail.rsb.pakextractor.RsbServicesModel init
INFO: Initializing RsbServices List.
Dec 08, 2017 2:27:57 PM com.oracle.retail.rsb.pakextractor.RsbServicesModel init
INFO: Ignoring README.txt, as the either file is 0KB in size or it is a README.txt
Dec 08, 2017 2:27:58 PM com.oracle.retail.rsb.pakextractor.RsbServicesModel init
INFO: Ignoring README.txt, as the either file is 0KB in size or it is a README.txt
Dec 08, 2017 2:27:58 PM com.oracle.retail.rsb.pakextractor.RsbServicesModel init
INFO: Ignoring README.txt, as the either file is 0KB in size or it is a README.txt
Dec 08, 2017 2:27:58 PM com.oracle.retail.rsb.pakextractor.RsbServicesModel init
INFO: Ignoring README.txt, as the either file is 0KB in size or it is a README.txt
Dec 08, 2017 2:27:58 PM com.oracle.retail.rsb.pakextractor.RsbServicesModel init
INFO: RSB Service Paks List initialized successfuly.Total number of deployable RSB Paks :15.
Dec 08, 2017 2:27:58 PM com.oracle.retail.rsb.pakextractor.RsbServiceValidator compareInterPakVersion
SEVERE:
------------------------------------------------------------------------------
PACK NAME PACK VERSION
------------------------------------------------------------------------------
RsbAppServiceDecoratorPak16.0.0ForCm16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForCo16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForFin16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForIgs16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForMms16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForOms16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForOoc16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForRm16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForRms16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForRob16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForRpm16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForRwms16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForSim16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPak16.0.0ForTps16.0.0_eng_ga 16.0.0
RsbAppServiceDecoratorPakWithTransform16.0.0ForRce16.0.0_eng_ga WithTransform16.0.0

Dec 08, 2017 2:27:58 PM com.oracle.retail.rsb.pakextractor.Main main
SEVERE: Error while downloading pak.
com.oracle.retail.rsb.pakextractor.VersionCompatibilityVerificationException: RSB service packs are not compatible with one another.They must be of same version .
at com.oracle.retail.rsb.pakextractor.RsbServiceValidator.validateServicesAndUnpack(RsbServiceValidator.java:93)
at com.oracle.retail.rsb.pakextractor.Main.main(Main.java:43)

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.